Bug 145620 - Improper handling of variable-width fonts
Improper handling of variable-width fonts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 23:05 EST by Christopher Beland
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 14:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2005-01-19 23:05:23 EST
gnome-terminal-2.7.3-1

gnome-terminal appears to be positioning characters in variable-width
fonts as if they were fixed-width.  

The font is adjusted at:
 Edit -> Current Profile -> General (tab) -> Font:

If you choose, for example, Sans 10 Regular, you will see the "@",
"m", and "w" characters overlap with and occasionally be clipped by
other characters.  Similar problems occur with these characters and
some others (e.g. "P") with URW Chancery L 12 Regular, in addition to
there being an excessive amount of vertical space with this font.

Actually rendering characters with variable widths in a terminal
window would likely cause all sorts of horizontal alignment problems.
If rendering for variable-width fonts cannot be cleaned up so that
characters position without overlap, clipping, or excessive spaces,
perhaps the best thing to do would be to restrict the choice of font
to fixed-width varieties only.
Comment 1 Matthew Miller 2006-07-10 17:05:14 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Christopher Beland 2007-08-26 15:32:58 EDT
Originally reported for Fedora Core 3.  This is still a problem with Fedora 7
and gnome-terminal-2.18.1-1.fc7.
Comment 3 Christopher Beland 2007-08-26 15:38:07 EDT
Bugzilla crashed on the last edit...trying to clear "NEEDINFO" since this is
still present in Fedora 7.
Comment 4 Behdad Esfahbod 2007-08-27 14:42:51 EDT
Terminal emulation programs work with a grid and hence assume a fixed-width
font.  Not going to change.
Comment 5 Christopher Beland 2007-08-27 15:13:01 EDT
That makes sense.

Can the list of fonts in the chooser be restricted to fixed-width only?
Comment 6 Behdad Esfahbod 2007-08-29 14:03:16 EDT
Submitting upstream.

Note You need to log in before you can comment on or make changes to this bug.